﻿using System.Web;

namespace ValidatePreviousLicenseDemo
{
    public class ValidatePreviousLicense : IHttpHandler
    {
        public bool IsReusable
        {
            // Return false in case your Managed Handler cannot be reused for another request.
            // Usually this is false in case you have some state information preserved per request.
            get
            {
                return false;
            }
        }

        public void ProcessRequest(HttpContext context)
        {
            var responseToValidationInquiry = Validator.GetResponseToValidationInquiry(context.Request);

            context.Response.ContentType = "application/xml";
            context.Response.Output.Write(responseToValidationInquiry);
        }
    }
}